Create Invoice: Entrata
https://api.propexo.com/v1/invoices/entrata/| Method |
|---|
| vendors/sendInvoices |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the vendor location
The invoice or reference number that the vendor assigned to the service request
The date of issuance for the invoice
The amount of the invoice, in cents
invoice_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the invoice item, in cents
Notes associated with the invoice item
The Propexo unique identifier for the purchase order item
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The post month for the invoice. We will strip all data out of the datetime except the year and month.
Show 2 variants
The discount, in cents, of the invoice. This amount will be applied prior to the total amount being calculated.
The due date associated with the invoice
Notes associated with the invoice
attachments object[]
Files to upload for the invoice. All the files can have a maximum combined file size of 50 MB
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
Response
Successful response
- Array [
- ]
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the vendor location
The invoice or reference number that the vendor assigned to the service request
The date of issuance for the invoice
The amount of the invoice, in cents
invoice_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the invoice item, in cents
Notes associated with the invoice item
Show 2 variants
attachments object[]required
The contents of the file, as a base64 encoded string. The PMS has a max file size of 50 MB.
Possible values: <= 69730304 characters
The name of the file including the extension. Ex: "image.jpg"
The mime type of the file. Ex: "image/jpeg"
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/entrata/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"purchase_order_item_id": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"vendor_location_id": "string",
"invoice_number": "string",
"invoice_date": "2024-07-29T15:51:28.071Z",
"total_amount_in_cents": 0,
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string",
"purchase_order_item_id": "string"
}
],
"ap_financial_account_id": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"discount_amount_in_cents": 0,
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"attachments": "Unknown Type: array,null"
}
}